org.eclipse.net4j.util.cache

## Interface ICacheMonitorEvent

- All Superinterfaces:
    IEvent

      public interface ICacheMonitorEvent
      extends IEvent

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICacheMonitor.Condition` | `getNewCondition()`
    `ICacheMonitor.Condition` | `getOldCondition()`
    `ICacheMonitor` | `getSource()`

- - ### Method Detail

    - #### getSource

          ICacheMonitor getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Since:
        3.0

    - #### getOldCondition

          ICacheMonitor.Condition getOldCondition()

    - #### getNewCondition

          ICacheMonitor.Condition getNewCondition()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html